Bug 982798 - multiversion nodejs-symlink-deps doesn't work when version is "*"
Summary: multiversion nodejs-symlink-deps doesn't work when version is "*"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-packaging
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-09 22:39 UTC by Jamie Nguyen
Modified: 2013-07-26 18:13 UTC (History)
5 users (show)

Fixed In Version: libuv-0.10.12-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:41:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Jamie Nguyen 2013-07-09 22:39:59 UTC
The creation of multiversion symlinks trips up when the version of the module in package.json is "*".

nodejs-tap-0.4.0-4.fc19
nodejs-packaging-0.10.12-1.fc19

Steps to Reproduce:
1. yum install nodejs-tap
2. %tap
3. module 'inherits' not found

The symlink that is created looks like this:

  inherits -> /usr/lib/node_modules/inherits@*

The available destinations are:

  lrwxrwxrwx.  1 root root   10 Jul  9 23:22 inherits -> inherits@2
  drwxr-xr-x.  2 root root 4096 Jul  9 23:22 inherits@1
  drwxr-xr-x.  2 root root 4096 Jul  9 23:22 inherits@2

Comment 2 Fedora Update System 2013-07-10 11:04:54 UTC
libuv-0.10.12-1.fc19,nodejs-packaging-3-1.fc19,nodejs-0.10.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libuv-0.10.12-1.fc19,nodejs-packaging-3-1.fc19,nodejs-0.10.13-1.fc19

Comment 3 Fedora Update System 2013-07-10 11:04:56 UTC
libuv-0.10.12-1.fc18,nodejs-packaging-3-1.fc18,nodejs-0.10.13-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libuv-0.10.12-1.fc18,nodejs-packaging-3-1.fc18,nodejs-0.10.13-1.fc18

Comment 4 Fedora Update System 2013-07-10 11:35:13 UTC
libuv-0.10.12-1.el6,nodejs-packaging-3-1.el6,nodejs-0.10.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libuv-0.10.12-1.el6,nodejs-packaging-3-1.el6,nodejs-0.10.13-1.el6

Comment 5 Fedora Update System 2013-07-10 22:06:28 UTC
Package libuv-0.10.12-1.el6, nodejs-packaging-3-1.el6, nodejs-0.10.13-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libuv-0.10.12-1.el6 nodejs-packaging-3-1.el6 nodejs-0.10.13-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10813/libuv-0.10.12-1.el6,nodejs-packaging-3-1.el6,nodejs-0.10.13-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-07-20 09:41:09 UTC
libuv-0.10.12-1.fc18, nodejs-packaging-3-1.fc18, nodejs-0.10.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-07-20 09:43:27 UTC
libuv-0.10.12-1.fc19, nodejs-packaging-3-1.fc19, nodejs-0.10.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-07-26 18:13:03 UTC
libuv-0.10.12-1.el6, nodejs-packaging-3-1.el6, nodejs-0.10.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.